diff --git a/doc/src/sgml/glossary.sgml b/doc/src/sgml/glossary.sgml
index 8bb1ea5d87..75f0dc9a8c 100644
--- a/doc/src/sgml/glossary.sgml
+++ b/doc/src/sgml/glossary.sgml
@@ -179,7 +179,7 @@
    <glossterm>Bloat</glossterm>
    <glossdef>
     <para>
-     Space in data pages which does not contain current row versions,
+     Space in data pages which does not contain relevant row versions,
      such as unused (free) space or outdated row versions.
     </para>
    </glossdef>
@@ -1388,23 +1388,27 @@
     <glossdef>
      <para>
       Any object that can be created with a <command>CREATE</command>
-      command.  Most objects are specific to one database, and are commonly
-      known as <firstterm>local objects</firstterm>.
+      command. Most objects are specific to one schema within
+      one database, and are commonly
+      known as <firstterm>local SQL objects</firstterm>.
+     </para>
+     <para>
+      Some of the SQL objects do not belong to a single schema but
+      are known in all schemas of a database. Examples are
+      <glossterm linkend="glossary-extension">extensions</glossterm> like
+      <glossterm linkend="glossary-foreign-data-wrapper">foreign data wrappers</glossterm>, and
+      <glossterm linkend="glossary-cast">data type casts</glossterm>.
+     </para>
+     <para>
+      Some others even belong to the complete cluster and are
+      known in all databases and all its schemas.
       <glossterm linkend="glossary-role">Roles</glossterm>,
       <glossterm linkend="glossary-tablespace">tablespaces</glossterm>,
       replication origins, subscriptions for logical replication, and
-      databases themselves are not local SQL objects since they exist
-      entirely outside of any specific database;
-      they are called <firstterm>global objects</firstterm>.
+      all <firstterm>database names</firstterm> exist
+      entirely outside of any specific database.
+      They are called <firstterm>global SQL objects</firstterm>.
      </para>
-     <para>
-      Most local objects belong to a specific
-      <glossterm linkend="glossary-schema">schema</glossterm> in their containing database.
-      There also exist local objects that do not belong to schemas; some examples are
-      <glossterm linkend="glossary-extension">extensions</glossterm>,
-      <glossterm linkend="glossary-cast">data type casts</glossterm>, and
-      <glossterm linkend="glossary-foreign-data-wrapper">foreign data wrappers</glossterm>.
-    </para>
     <para>
       For more information, see
       <xref linkend="manage-ag-overview"/>.
